[Mongrel] GzipFilter gemplugin now available

Eden Li eden.li at gmail.com
Sun Oct 22 17:16:46 EDT 2006


This GemPlugin will gzip your HTTP responses from mongrel if the
client says that it supports it (eg, most modern browsers).  I've
tested it in IE6, Firefox 1.5 and Firefox 2.0RC3

Install:
 gem install gzip_filter --source http://edenli.com

Configure (assuming rails):
 cd RAILS_ROOT
 echo 'uri "/", :handler => plugin("/handlers/gzipfilter")' >>
config/mongrel.conf

Run:
 mongrel_rails start -S config/mongrel.conf

If you want to use this with a cluster, add "config_script:
config/mongrel.conf" to your config/mongrel_cluster.yml file.

Somewhat related:
I also patched the deflatefilter against mongrel 0.13.5 to work with
IE and (probably) Safari.  It's available here if you want to use the
deflate encoding instead (savings difference is miniscule):
  http://rubyforge.org/tracker/?func=detail&aid=6275&group_id=1306&atid=5147


More information about the Mongrel-users mailing list